Retrieve Machine validation runs

View as Markdown

Retrieve validation runs for a specific Machine.

Org must have an Infrastructure Provider entity that owns the Machine. User must have authorization role with PROVIDER_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org
machineIdstringRequired
ID of the Machine

Response

Machine validation runs
validationIDstring
ID of the Machine validation run.
machineIDstring
ID of the validated Machine.
startTimedatetime
Time the validation run started.
endTimedatetime or null
Time the validation run completed, or null while it is active.
namestring
Name of the validation run.
contextstring
Context in which the validation run was created.
statusobject
Progress and outcome of a Machine validation run
durationToCompleteSecsinteger
Estimated maximum duration of the validation run in seconds. A value of zero can mean the estimate has not yet been calculated.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error